KCrashBookmarkImporterImpl Class Reference

`#include <kbookmarkimporter_crash.h>`

Inheritance diagram for KCrashBookmarkImporterImpl:

## Public Member Functions

void | setShouldDelete (bool)
virtual void | parse ()
virtual QString | findDefaultLocation (bool forSaving=false) const
Public Member Functions inherited from KBookmarkImporterBase
void | setFilename (const QString &filename)
void | setupSignalForwards (QObject *src, QObject *dst)

## Static Public Member Functions

static QStringList | getCrashLogs ()
Static Public Member Functions inherited from KBookmarkImporterBase
static KBookmarkImporterBase * | factory (const QString &type)

## Additional Inherited Members

Signals inherited from KBookmarkImporterBase
void | newBookmark (const QString &text, const QCString &url, const QString &additionalInfo)
void | newFolder (const QString &text, bool open, const QString &additionalInfo)
void | newSeparator ()
void | endFolder ()
Protected Attributes inherited from KBookmarkImporterBase
QString | m_fileName

## Detailed Description

A class for importing all crash sessions as bookmarks.

Since
  3.2

Definition at line 60 of file kbookmarkimporter_crash.h.

The documentation for this class was generated from the following files:

- kbookmarkimporter_crash.h
- kbookmarkimporter_crash.cc

KDE Home | KDE Accessibility Home | Description of Access Keys